Bug 847052 - After closing one example application all other applications are closed as well.
After closing one example application all other applications are closed as well.
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: User Interface (Show other bugs)
BRMS 5.3.0.GA
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Geoffrey De Smet
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 10:23 EDT by jgargula
Modified: 2014-10-26 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When closing an example application all other applications were closed as well, this was because every GUI example dialogue called System.exit() when it was disposed of. This resulted in the user having to restart each example application if they wanted to look at another example. The GUI example dialogues no longer calls System.ext(), but just disposes of their dialogue, and the user is able to look at other examples without restarting them.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jgargula 2012-08-09 10:23:57 EDT
Description of problem:

If you want to try all Drools example applications from examples directory and open them all at the same time, then after closing one of them, all the others are closed as well including the main application for selecting examples.

Version-Release number of selected component (if applicable):
BRMS 5.3.0.GA

How reproducible:
Unzip jboss-brms-engine.zip, go to example directory and folow next steps.

Steps to Reproduce:
1. Start examples (execute runExamples.sh script on linux)
2. Click on every Swing application to open it.
3. Close just one of them.
  
Actual results:
All example applications are closed.

Expected results:
Just the selected application should be closed and the others should be still opened.

Additional info:
Comment 1 Geoffrey De Smet 2012-08-22 05:26:00 EDT
Done for DroolsExamplesApp
  https://github.com/droolsjbpm/drools/commit/485eb2b4b2231f1510e5ded2feec23a64bbd69d0
Comment 2 Geoffrey De Smet 2012-08-22 06:32:17 EDT
Fixed for DroolsExamplesApp on master and 5.4.x (including the new examples)
Comment 3 Geoffrey De Smet 2012-08-22 07:56:18 EDT
Fixed for DroolsjbpmIntegrationExamplesApp on 5.3.x
  https://github.com/droolsjbpm/droolsjbpm-integration/commit/cee4064fc17af0cc71fe03d0b5367fa7c04bffc0
Comment 4 Geoffrey De Smet 2012-08-22 08:01:38 EDT
Fixed for DroolsjbpmIntegrationExamplesApp on master and 5.4.x too
Comment 6 lcarlon 2012-10-17 22:46:43 EDT
Release note text updated and marked +. Thanks for providing the release notes text, Geoffrey.

Note You need to log in before you can comment on or make changes to this bug.